%define base_name		kde-styles
%define theme_name		lipstik
%define name			%base_name-%theme_name
%define content_id		18223

Name: %name
Version: 2.2
Release: alt1

Group: Graphical desktop/KDE
Summary: KDE Style
License: GPL
Url: http://www.kde-look.org/content/show.php?content=%content_id

Source: %content_id-%theme_name-%version.tar.bz2
Patch:	%name-makefile-alt.patch
# Automatically added by buildreq on Fri Dec 03 2004 (-bi)
BuildRequires: gcc-c++ kdelibs-devel libstdc++-devel zlib-devel libjpeg-devel

%description
Lipstik is a lightweight KDE Style for KDE 3.x

%prep
%setup -q -n %theme_name-%version
%patch -p1

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"
%make -f admin/Makefile.common
%configure \
    --disable-debug \
    --disable-rpath \
    --enable-shared \
    --without-arts \
    --enable-final
%make

%install
%makeinstall

%files
%doc AUTHORS ChangeLog README TODO
%dir %_libdir/kde3/
%_libdir/kde3/*%{theme_name}*
%_libdir/kde3/plugins/styles/%{theme_name}*
%_datadir/apps/*/*/*

%changelog
* Thu Feb 09 2006 Stanislav Yadykin <tosick@altlinux.ru> 2.2-alt1
- 2.2

* Mon Feb 06 2006 Stanislav Yadykin <tosick@altlinux.ru> 2.1-alt1
- 2.1
- BuildRequires fix

* Wed Dec 07 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.99.1-alt1
- 1.99.1

* Tue Dec 06 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.99-alt1
- 1.99
- spec chenges

* Thu Jun 30 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt1
- 1.2
- spec changes

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.1-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Dec 24 2004 Stanislav Yadykin <tosick@altlinux.ru> 1.1-alt1
- 1.1

* Fri Dec 17 2004 Stanislav Yadykin <tosick@altlinux.ru> 1.0-alt1
- version 1.0

* Fri Dec 03 2004 Stanislav Yadykin <tosick@altlinux.ru> 0.91-alt1
- Build for Sisyphus

